<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css">
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.5.1/jquery.min.js"></script>
    <script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/js/bootstrap.min.js"></script>

    <!-- Import Datatable sau jquery -->
    <!-- Import them style bootstrap cho datatable -->
    <link rel="stylesheet" href="https://cdn.datatables.net/1.10.24/css/dataTables.bootstrap4.min.css">
    <script src="https://cdn.datatables.net/1.10.24/js/jquery.dataTables.min.js"></script>
    <script src="https://cdn.datatables.net/1.10.24/js/dataTables.bootstrap4.min.js"></script>
    <title>Document</title>
</head>

<body>
    <div class="container">
        <div class="text-center">
            <button onclick="callAPIToExportFile()" id="btn-export" class="btn btn-success"> Xuất</button>
        </div>
    </div>
</body>
<script>



    function callAPIToExportFile() {
        $.ajax({
            type: "GET",
            url: "http://localhost:8080/export/customers/excel",
            success: function (response, status, xhr) {
                var filename = 'customers.xlsx'; // Specify the filename for the exported file
                var contentType = xhr.getResponseHeader('content-type');

                // Create a Blob object from the response data
                var blob = new Blob([response], { type: contentType });

                // Create a temporary URL for the Blob
                var url = window.URL.createObjectURL(blob);

                // Create a link element to trigger the file download
                var link = document.createElement('a');
                link.href = url;
                link.download = filename;

                // Append the link to the document and trigger the download
                document.body.appendChild(link);
                link.click();

                // Clean up the temporary URL and link element
                document.body.removeChild(link);
                window.URL.revokeObjectURL(url);
            },
            error: function (paramError) {
                console.log(paramError.status);
            }
        })
    }

</script>

</html>